package com.eitc.modules.demo.service;

import com.eitc.common.page.PageData;
import com.eitc.common.service.BaseService;
import com.eitc.modules.demo.dto.NewsDTO;
import com.eitc.modules.demo.entity.NewsEntity;

import java.util.Map;

/**
 * 新闻
 *
 * @author Mark eitc@163.com
 */
public interface NewsService extends BaseService<NewsEntity> {

    PageData<NewsDTO> page(Map<String, Object> params);

    NewsDTO get(Long id);

    void save(NewsDTO dto);

    void update(NewsDTO dto);
}

